Bug 90249 - Fails to build egl_dri2 on osx
Summary: Fails to build egl_dri2 on osx
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL: https://www.khronos.org/bugzilla/show...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-30 07:43 UTC by Julien Isorce
Modified: 2015-07-09 11:10 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
egl: use unix defines on osx with clang (1.05 KB, text/plain)
2015-04-30 07:43 UTC, Julien Isorce
Details
egl: use unix defines on osx with clang (1.42 KB, text/plain)
2015-06-08 20:12 UTC, Julien Isorce
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Isorce 2015-04-30 07:43:25 UTC
Created attachment 115468 [details]
egl: use unix defines on osx with clang

CC       egl_dri2.lo
In file included from egl_dri2.c:53:
In file included from ./egl_dri2.h:69:
In file included from ../../../../src/egl/main/eglconfig.h:39:
In file included from ../../../../src/egl/main/egltypedefs.h:36:
In file included from ../../../../include/EGL/egl.h:36:
../../../../include/EGL/eglplatform.h:135:2: error: "Platform not recognized"
#error "Platform not recognized"
 ^
../../../../include/EGL/eglplatform.h:140:9: error: unknown type name 'EGLNativeDisplayType'
typedef EGLNativeDisplayType NativeDisplayType;
        ^
../../../../include/EGL/eglplatform.h:141:9: error: unknown type name 'EGLNativePixmapType'
typedef EGLNativePixmapType  NativePixmapType;
        ^
../../../../include/EGL/eglplatform.h:142:9: error: unknown type name 'EGLNativeWindowType'
typedef EGLNativeWindowType  NativeWindowType;
Comment 1 Julien Isorce 2015-06-08 20:12:42 UTC
Created attachment 116373 [details]
egl: use unix defines on osx with clang
Comment 2 Jose Fonseca 2015-06-09 19:50:53 UTC
It might be better to send the patch to mesa-dev for review.
Comment 3 Emil Velikov 2015-07-09 11:10:20 UTC
As requested on the ML an upstream bug is opened with Khronos. Please keep us posted on the progress.

Meanwhile I've pushed this to master.


bug/show.html.tmpl processed on Mar 27, 2017 at 08:32:55.
(provided by the Example extension).